%define	name		ode
%define	version		0.6
%define	rel		4
%define	release		%mkrel %{rel}
%define	lib_name_orig	lib%{name}
%define lib_major	0
%define lib_name	%mklibname %{name} %{lib_major}
%define	lib_name_devel	%mklibname %{name} %{lib_major} -d


Name: %{name}
Version: %{version}
Release: %{release}
Epoch: 1
Source0: %{name}-src-%{version}.tar.bz2
License: BSD LGPL
Group: System/Libraries
URL: http://opende.sourceforge.net/
Summary: The Open Dynamics Engine
BuildRequires: XFree86-devel MesaGLU-devel
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
The Open Dynamics Engine (ODE) is a free software library for the
simulation of Rigid Body Dynamics. It is has been primarily written
by Russell Smith. ODE builds under a variety of different Windows
and Unix platforms. 

ODE is useful for simulating things like vehicles, objects in virtual
reality environments, and virtual creatures. 

%package -n %{lib_name}
Summary: Physics simulation library
Group: System/Libraries
Provides: %{name} = %{version}-%{release}

%description -n	%{lib_name}
This package contains the library needed to run programs dynamically
linked with ODE.

%package -n %{lib_name_devel}
Summary: Headers and libraries to develop ODE applications
Group: Development/C
Provides: %{name}-devel = %{version}-%{release}
Provides: lib%{name}-devel = %{version}-%{release}
Requires: %{lib_name} = %{epoch}:%{version}

%description -n %{lib_name_devel}
The Open Dynamics Engine (ODE) is a free software library for the
simulation of Rigid Body Dynamics. It is has been primarily written
by Russell Smith. ODE builds under a variety of different Windows
and Unix platforms.

ODE is useful for simulating things like vehicles, objects in virtual
reality environments, and virtual creatures.

%prep

%setup -q

%build
%configure --enable-release --enable-shared

perl -pi -e "s#= .so#= .so.\\\$(ODE_CURRENT).\\\$(ODE_REVISION)#g" ode/src/Makefile
perl -pi -e "s#= -shared#= -fPIC -shared -Wl,-soname,libode\\\$(so_ext)#" ode/src/Makefile
perl -pi -e "s#traplibdir = \\\$\Q(prefix)/lib\E#traplibdir = \\\$(libdir)#" ode/src/Makefile

%make CFLAGS="-fPIC -fno-exceptions -ffast-math -fomit-frame-pointer $RPM_OPT_FLAGS" \
 CXXFLAGS="-fPIC -fno-rtti -fomit-frame-pointer -ffast-math"

%install
%{__rm} -rf $RPM_BUILD_ROOT

%makeinstall
cd $RPM_BUILD_ROOT%{_libdir}
ln -s %{lib_name_orig}.so.%{lib_major}.6 %{lib_name_orig}.so.%{lib_major}
ln -s %{lib_name_orig}.so.%{lib_major}.6 %{lib_name_orig}.so

%multiarch_binaries $RPM_BUILD_ROOT%{_bindir}/ode-config
%multiarch_includes $RPM_BUILD_ROOT%{_includedir}/ode/config.h

%post -n %{lib_name} -p /sbin/ldconfig
%postun -n %{lib_name} -p /sbin/ldconfig

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files -n %{lib_name}
%defattr(-,root,root,0755)
%{_libdir}/%{lib_name_orig}.so.%{lib_major}*

%files -n %{lib_name_devel}
%defattr(-,root,root)
%doc CHANGELOG.txt LICENSE-BSD.TXT README.txt
%{_bindir}/%{name}-config
%multiarch %{multiarch_bindir}/%{name}-config
%{_includedir}/*
%{_libdir}/lib*.a
%{_libdir}/lib*.so

%changelog
* Sat Jul 29 2006 Guillaume Bedot <littletux@mandriva.org> 1:0.6-4mdv2007.0
- rebuilt without double-precision (maniadrive needs single)

* Tue Jul 18 2006 Guillaume Bedot <littletux@mandriva.org> 1:0.6-3mdv2007.0
- fix soname (wrongly dropped patch)

* Thu Jul 13 2006 Guillaume Bedot <littletux@mandriva.org> 1:0.6-2mdv2007.0
- fix symbolic links
- multiarch
 
* Wed Jul 12 2006 Guillaume Bedot <littletux@mandriva.org> 1:0.6-1mdv2007.0
- 0.6
- dropped patch
- install changes

* Sun Nov 27 2005 Oden Eriksson <oeriksson@mandriva.com> 1:0.5-7mdk
- added P0 from debain to disable OPCODE (and make the shared lib)
- added a lib64 fix

* Thu May 19 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.5-6mdk
- compile with -fPIC

* Thu May 19 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.5-5mdk
- from Jan Ciger: <jan.ciger@gmail.com> :
	o turn off the -whole-archive flag for the linker

* Thu Apr 21 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.5-4mdk
- arg, forgot to add epoch to requires

* Wed Apr 20 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.5-3mdk
- fix devel links
- fix devel requires
- do ldconfig

* Wed Apr 20 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.5-2mdk
- %%mkrel
- from Jan Ciger <jan.ciger@gmail.com> :
	o 0.5 changed to build a dynamic lib a split the package

* Mon Nov 08 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.5-1mdk
- 0.5 (add epoch as rpm takes 0.5 for less than 0.039)

* Thu Oct 30 2003 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.039-1mdk
- 0.039
- drop P0(fixed upstream)

* Wed Jul 09 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 0.035-4mdk
- fix compile with gcc-3.3 (P0)
- dont use %%{_libdir}/* in files list since wildcard would include debug
  dir if we were to build debug package

* Wed May 07 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 0.035-3mdk
- change %%mklibname for devel
- fix summary

* Fri Apr 25 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 0.035-2mdk
- fixed buildrequires

* Sat Apr 12 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 0.035-1mdk
- initial mdk release

